export const CORE_API = "/api/ecs_core"; //基础信息API
export const EXAM_WORK_API = "/api/ecs_exam_work"; //考务信息API
export const MARKING_API = "/api/ecs_marking"; //阅卷API
export const DATA_PROCESS_API = "/api/ecs_data_process"; //数据中间层API
export const OE_API = "/api/ecs_oe"; //网考API
export const Q_API = "/api/ecs_ques"; //题库API
export const LEVEL_TYPE = [
  { label: "专升本", value: "ZSB" },
  { label: "高起专", value: "GQZ" },
  { label: "不限", value: "ALL" }
];
import Vue from "vue";
//标记卷类型
export const TAGS = [
  { label: "雷同卷", value: "SAME" },
  { label: "空白卷", value: "BLANK" },
  { label: "答非所问", value: "IRRELEVANT" },
  { label: "科目错误", value: "SUBJECT_ERROR" },
  { label: "非手写", value: "QUESTIONABLE" }
];
//标记卷过滤器
Vue.filter("tagFilter", function(val) {
  for (let tag of TAGS) {
    if (tag.value === val) {
      return tag.label;
    }
  }
});
//考试类型
export const EXAMTYPES = [
  { label: "在线考试", value: "ONLINE" },
  { label: "离线考试", value: "OFFLINE" },
  { label: "传统考试", value: "TRADITION" },
  { label: "练习", value: "PRACTICE" }
];
//考试类型过滤器
Vue.filter("examTypeFilter", function(val) {
  for (let examType of EXAMTYPES) {
    if (examType.value === val) {
      return examType.label;
    }
  }
});
export const EVENTHUB = new Vue();
